Bug 25976 - wu imap updated
wu imap updated
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: imap (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-04 11:08 EST by chrismcc
Modified: 2014-01-21 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-18 22:07:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updated rh version patch for wu-imapd (1.49 KB, patch)
2001-02-04 11:10 EST, chrismcc
no flags Details | Diff
imapd ssl Makefile patch (466 bytes, patch)
2001-02-04 11:44 EST, chrismcc
no flags Details | Diff
imap-2000c-flock.patch (485 bytes, patch)
2001-02-04 12:19 EST, chrismcc
no flags Details | Diff

  None (edit)
Description chrismcc 2001-02-04 11:08:52 EST
wu imapd has a update from fisher imap-2000 to just released imap-2000c.
( why not 2001 ? :)

( Ignore the mymaildir patch, that's for me )

[chrismcc@wednesday SPECS]$ diff -u imap.spec imap.spec.pg
--- imap.spec	Mon Nov 20 14:10:35 2000
+++ imap.spec.pg	Sat Feb  3 15:34:20 2001
@@ -7,8 +7,8 @@

 Summary: Server daemons for IMAP and POP network mail protocols.
 Name: imap
-Version: 2000
-Release: 4
+Version: 2000c
+Release: 4.03pg
 Epoch: 1
 Copyright: BSD
 Group: System Environment/Daemons
@@ -31,8 +31,9 @@
 Patch5: imap-4.7c2-flock.patch
 Patch6: imap-4.7c2-setcred.patch
 Patch7: imap-2000-sparc.patch
-Patch8: imap-2000-version.patch
+Patch8: imap-2000c-version.patch
 Patch9: pine-4.30-boguswarning.patch
+Patch10: imap-2000c-mymaildir.patch
 Buildroot: %{_tmppath}/%{name}-root
 Requires: pam >= 0.59
 %if %{build_7}
@@ -80,10 +81,13 @@
 %patch4 -p1 -b .gssapi
 %endif
 %patch5 -p1 -b .flock
-%patch6 -p1 -b .setcred
-%patch7 -p1 -b .sparc
+# needed ? backwards ?
+# %patch6 -p1 -b .setcred
+# already there
+# %patch7 -p1 -b .sparc
 %patch8 -p1 -b .version
 %patch9 -p2 -b .boguswarning
+%patch10    -b .mymaildir
 cp %{SOURCE8} src/osdep/unix/
Comment 1 chrismcc 2001-02-04 11:10:14 EST
Created attachment 8919 [details]
updated rh version patch for wu-imapd
Comment 2 chrismcc 2001-02-04 11:25:53 EST
about patch6

In /src/osdep/unix/ckp_pmb.c

The line added by the patch is
pam_setcred (hdl,PAM_ESTABLISH_CRED);

The source from the tarball is
pam_setcred (hdl,PAM_DELETE_CRED);

These seem oposite to each other.
Which one is right?
Is/could this be a security problem?


Comment 3 chrismcc 2001-02-04 11:44:14 EST
Created attachment 8920 [details]
imapd ssl Makefile patch
Comment 4 chrismcc 2001-02-04 11:46:38 EST
Oops I forgot to rename the SSL makefile patch, change spec file accordingly

Why are the openssl certs saved in /usr/share/ssl ?
Would /etc/imapd/imapd.pem and /etc/imapd/ipop3d.pem be better?
Maybe add a Makefile like apache?


Comment 5 chrismcc 2001-02-04 12:19:12 EST
Created attachment 8922 [details]
imap-2000c-flock.patch
Comment 6 chrismcc 2001-02-04 12:20:49 EST
Note to self, in future _rename_ patches instead of overwriting old patch name.

D'oh

update spec to use this patch...


Comment 7 Mike A. Harris 2001-05-18 03:01:48 EDT
Crap...  Note to self... "Check all open bugzilla reports relevant to a
package before updating it, just in case some kind user has submitted
patches and updates to the package already".

Yes, it is official folks - I get to wear the retard hat for an hours worth
of unnecessarily repeated work.  ;o)

ftp://people.redhat.com/mharris/testing for beta packages.

BTW, I had the same double headshake as you with the PAM patch.  I've
Cc'd Nalin Dahyabhai, our pam guru to have a look at it and comment.

Also, just a note, the "Copyright: BSD" is incorrect in your specfile.
PINE and IMAP have a special UW license which is in the sources, and
definitely not BSD.  Our packages were incorrect before as well, but
corrected now.

Thanks again for submitting all of this.  Hopefully in the future I will
get things done in the right order.  ;o)
Comment 8 Mike A. Harris 2001-05-18 03:03:44 EDT
Oh, about imap-2001 - it is a beta, and thus not a candidate for an
errata release.  I will likely add it to rawhide soon though.

Leaving at NEEDINFO until I have confirmation about PAM stuff...
Comment 9 Mike A. Harris 2001-05-18 22:07:48 EDT
Ok, thanks again.  The testing has shown that it solves open bugs against
imap, and appears to work correctly.  Nalin has confirmed that the PAM stuff
in the current UW source of 2000c is indeed correct, and that our patch was
wrong.  ;o(  This is also fixed in my current imap package soon to be released.
Comment 10 Mike A. Harris 2001-06-20 05:11:00 EDT
Errata release imap-2000c-7 includes these fixes.  Also packages for
6.2 and 5.2 will be released simultaneously.

Note You need to log in before you can comment on or make changes to this bug.